corda / net.corda.core.testing / CurrencyGenerator

# CurrencyGenerator

`class CurrencyGenerator : Generator<Currency>`

### Constructors

<init> | `CurrencyGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Currency`

### Companion Object Properties

currencies | `val currencies: List<Currency>`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck